Module jdk.compiler
Package com.sun.source.tree

## Interface ReturnTree

All Superinterfaces:
  StatementTree, Tree

    public interface ReturnTree
    extends StatementTree

A tree node for a `return` statement. For example:

       return;
       return expression;

Since:
  1.6
See The Java™ Language Specification:
  section 14.17

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression to be returned.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression to be returned.

Returns:
  the expression